Autodesk.Revit.DB.SlabShapeEditor是一个Revit API类,用于编辑楼板的形状。
public void AddBoundaryLoop(IList<Point> boundaryLoop)
说明:向楼板的边界路径集合中添加一个新的边界路径
参数:
public IList<Point> GetBoundaryLoop(int i)
说明:返回第i个边界路径上的点的集合
参数:
返回值:
public void RemoveBoundaryLoop(int i)
说明:从边界路径集合中删除第i个边界路径
参数:
public void SetBoundaryLoop(int i, IList<Point> boundaryLoop)
说明:设置第i个边界路径的点的集合
参数:
SlabShapeEditor editor = new SlabShapeEditor();
editor.AddBoundaryLoop(new List<Point>
{
new Point(0,0),
new Point(5,0),
new Point(5,5),
new Point(0,5)
});
editor.Height = 1.0;
// Output the vertices of the first boundary loop
for(int i = 0; i < editor.BoundaryLoops[0].Count; i++)
{
Point vertex = editor.BoundaryLoops[0][i];
Console.WriteLine("Vertex " + (i+1) + ": (" + vertex.X + "," + vertex.Y + ")");
}
以上代码将创建一个楼板形状编辑器,然后添加一个边界路径,并设置楼板高度为1.0。最后,代码将输出第一个边界路径上的所有点的坐标。